/** 	The class <tt>FirstObject</tt> creates a polygon object 
	which is drawn in @see <tt>RobotPanel</tt>.  
	It extends the abstract class @see <tt>ObjectClass</tt>.

	@author Carey Fry
	@version 1.0  */

import javax.swing.*;
import java.awt.*;

public class FirstObject extends ObjectClass {

/** 	The method <tt>FirstObject> with no parameters is a
	constructor that calls the no-parameter constructor
	of the superclass <tt>ObjectClass</tt>.
	
  */  

  public FirstObject() {
	super();
	} // END constructor

/** 	The method <tt>FirstObject> is a constructor that 
	calls the constructor of the superclass <tt>ObjectClass</tt>,
	which creates an instance of <tt>FirstObject</tt> with
	the size and color specified in the parameters.
	
	@param 	size	size of object
	@param  color	color of object
  */ 

   public FirstObject(String size, String color) {

	super(size, color);			// create polygon
	p.addPoint(X,Y);			// add points
	p.addPoint(X + width, Y);
	p.addPoint(X + width, Y + height);
	p.addPoint(X + 4*width/5, Y + height);
	p.addPoint(X + 4*width/5, Y + height/2);
	p.addPoint(X + 3*width/5, Y + height/2);
	p.addPoint(X + 3*width/5, Y + height);
	p.addPoint(X + 2*width/5, Y + height);
	p.addPoint(X + 2*width/5, Y + height/2);
	p.addPoint(X + width/5, Y + height/2);
	p.addPoint(X + width/5, Y + height);
	p.addPoint(X, Y + height);
 } // END constructor
	
} // END class