/** 	The class <tt>RectangleObject</tt> creates a rectangular
	polygon object which is drawn in @see <tt>RobotPanel</tt>.  
	It extends the abstract class @see <tt>ObjectClass</tt>.

	@author Carey Fry
	@version 1.0  */

import javax.swing.*;
import java.awt.*;

public class RectangleObject extends ObjectClass {

/** 	The method <tt>RectangleObject</tt> with no parameters is a
	constructor that calls the no-parameter constructor
	of the superclass <tt>ObjectClass</tt>.
	
	@param 	none
	@return	none  */ 

public RectangleObject() {
	  super();	
	} // END constructor

/** 	The method <tt>RectangleObject> is a constructor that 
	calls the constructor of the superclass <tt>ObjectClass</tt>,
	which creates an instance of <tt>RectangleObject</tt> with
	the size and color specified in the parameters.
	
	@param 	size	size of object
	@param  color	color of object
	@return	none  */ 

public RectangleObject(String size, String color) {
  	super(size, color); 		// call superclass constructor
	p.addPoint(X,Y);		// add points to polygon
	p.addPoint(X+width, Y);
	p.addPoint(X+width, Y+height);
  	p.addPoint(X, Y+height);
	} // END constructor
	
} // END class