/** 	The class <tt>SecondObject</tt> creates a polygon object 
	which is drawn in @see <tt>RobotPanel</tt>.  
	It extends the abstract class @see <tt>ObjectClass</tt>.

	@author Carey Fry
	@version 1.0  */

import javax.swing.*;
import java.awt.*;

public class SecondObject extends ObjectClass {

/** 	The method <tt>SecondObject> with no parameters is a
	constructor that calls the no-parameter constructor
	of the superclass <tt>ObjectClass</tt>.
	  */ 

public SecondObject() {
	super();
	} // END constructor

/** 	The method <tt>SecondObject> is a constructor that 
	calls the constructor of the superclass @see <tt>ObjectClass</tt>,
	which creates an instance of <tt>SecondObject</tt> with
	the size and color specified in the parameters.
	
	@param 	size	size of object
	@param  color	color of object
	  */ 

public SecondObject(String size, String color) {
	super(size, color); 			// call constructor of superclass
	p.addPoint(X,Y);			// add points to polygon
	p.addPoint(X + width/4, Y + height/2);
	p.addPoint(X + 3*width/8, Y);
	p.addPoint(X + width/2, Y + height/2);
	p.addPoint(X + 5*width/8, Y);
	p.addPoint(X + 3*width/4, Y + height/2);
	p.addPoint(X + width, Y);
	p.addPoint(X + width, Y + height);
	p.addPoint(X, Y + height);
	} // END constructor
} // END class