/** 	The class <tt>ThirdObject</tt> creates a polygon object 
	which is drawn in @see <tt>RobotPanel</tt>.  
	It extends the abstract class @see <tt>ObjectClass</tt>.

	@author Carey Fry
	@version 1.0  */

import javax.swing.*;
import java.awt.*;

public class ThirdObject extends ObjectClass {

/** 	The method <tt>ThirdObject> with no parameters is a
	constructor that calls the no-parameter constructor
	of the superclass <tt>ObjectClass</tt>.
  */  

public ThirdObject() {
	super();
	} // END constructor

/** 	The method <tt>ThirdObject> is a constructor that 
	calls the constructor of the superclass <tt>ObjectClass</tt>,
	which creates an instance of <tt>ThirdObject</tt> with
	the size and color specified in the parameters.
	
	@param 	size	size of object
	@param  color	color of object
	 */

public ThirdObject(String size, String color) {
	super(size, color);			// call constructor of superclass
	p.addPoint(X,Y);			// add points to polygon
	p.addPoint(X + width/3, Y);
	p.addPoint(X + width/3, Y + height/3);
	p.addPoint(X + 2*width/3, Y + height/3);
	p.addPoint(X + 2*width/3 , Y);
	p.addPoint(X + width, Y);
	p.addPoint(X + width, Y + height);
	p.addPoint(X + 2*width/3, Y + height);
	p.addPoint(X + 2*width/3, Y + 2*height/3);
	p.addPoint(X + width/3, Y + 2*height/3);
	p.addPoint(X + width/3, Y + height);
	p.addPoint(X, Y + height);
 } // END constructor

} // END class