/** 	The class <tt>TriangleObject</tt> creates a triangular polygon object 
	which is drawn in @see <tt>RobotPanel</tt>.  
	It extends the abstract class @see <tt>ObjectClass</tt>.

	@author Carey Fry
	@version 1.0  */

import javax.swing.*;
import java.awt.*;

public class TriangleObject extends ObjectClass{

	private int x1, y1,		// first point
                    x2, y2,		// second point
                    x3, y3;		// third point

/** 	The method <tt>TriangleObject> with no parameters is a
	constructor that calls the no-parameter constructor
	of the superclass <tt>ObjectClass</tt>.
	 */  

public TriangleObject() {
	super();		// call constructor of superclass
	} // END constructor

/** 	The method <tt>TriangleObject> is a constructor that 
	calls the constructor of the superclass <tt>ObjectClass</tt>,
	which creates an instance of <tt>TriangleObject</tt> with
	the size and color specified in the parameters.
	
	@param 	size	size of object
	@param  color	color of object
	 */ 

public TriangleObject(String size, String color) {
	super(size, color);	// call constructor of superclass
	x1 = X;			// first point of triangle
	y1 = Y;

	x2 = x1 + width/2;	// second point of triangle
	y2 = y1 + height;

	x3 = x1 + width;	// third point of triangle
	y3 = y1;

	p.addPoint(x1, y1);	// add points to polygon
	p.addPoint(x2, y2);
	p.addPoint(x3, y3);
	} // END constructor

} // END class